﻿@using System.Web.UI.WebControls;
@using Toyota.Common.Web.Html.Helper;
@using DevExpress.Web;
@using DevExpress.Web.Mvc;
@using Portal.Models.Delivery.ServiceAcceptance;
@model Toyota.Common.Web.MVC.ModelHolder

<table border="0">
    <tr>
        <td>
            @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "Process Date From";
                label.Style.Add("padding-right", "10px");
            }).GetHtml()
        </td>
        <td>:</td>
        <td>

            <div style="float:left; display:inline;">
                @Html.DevExpress().DateEdit(
                    edtSettings =>
                    {
                        edtSettings.Name = "PROCESS_DT_FROM";
                        edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(90);
                        edtSettings.Properties.DisplayFormatString = "dd.MM.yyyy";
                        edtSettings.Properties.EditFormatString = "dd.MM.yyyy";
                        //edtSettings.Date = DateTime.Now;

                    }).GetHtml()
            </div>
            <div style="float:left; display:inline;">
                @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "To : ";
                    label.Style.Add("padding-right", "10px");
                }).GetHtml()
            </div>
            <div style="float:left; display:inline;">
                @Html.DevExpress().DateEdit(
                    edtSettings =>
                    {
                        edtSettings.Name = "PROCESS_DT_TO";
                        edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(90);
                        edtSettings.Properties.DisplayFormatString = "dd.MM.yyyy";
                        edtSettings.Properties.EditFormatString = "dd.MM.yyyy";
                        //edtSettings.Date = DateTime.Now;

                    }).GetHtml()
            </div>
        </td>

        <td width="100"></td>
        <td>
            @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "Production Date From";
                label.Style.Add("padding-right", "10px");
            }).GetHtml()
        </td>
        <td>:</td>
        <td>

            <div style="float:left; display:inline;">
                @Html.DevExpress().DateEdit(
                    edtSettings =>
                    {
                        edtSettings.Name = "PRODUCTION_DT_FROM";
                        edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(90);
                        edtSettings.Properties.DisplayFormatString = "dd.MM.yyyy";
                        edtSettings.Properties.EditFormatString = "dd.MM.yyyy";
                        //edtSettings.Date = DateTime.Now;

                    }).GetHtml()
            </div>
            <div style="float:left; display:inline;">
                @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "To : ";
                    label.Style.Add("padding-right", "10px");
                }).GetHtml()
            </div>
            <div style="float:left; display:inline;">
                @Html.DevExpress().DateEdit(
                    edtSettings =>
                    {
                        edtSettings.Name = "PRODUCTION_DT_TO";
                        edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(90);
                        edtSettings.Properties.DisplayFormatString = "dd.MM.yyyy";
                        edtSettings.Properties.EditFormatString = "dd.MM.yyyy";
                        //edtSettings.Date = DateTime.Now;

                    }).GetHtml()
            </div>
        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "Rcv Plant";
                label.Style.Add("padding-right", "10px");
            }).GetHtml()
        </td>
        <td>:</td>
        <td>
            <div style="float:left; width:50px; margin-right:5px;">
                @Html.DevExpress().TextBox(
                edtSettings =>
                {
                    edtSettings.Name = "RCV_PLANT";
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(50);
                    edtSettings.Text = "";
                    edtSettings.Properties.ValidationSettings.EnableCustomValidation = true;
                    edtSettings.Properties.MaxLength = 11;
                    edtSettings.Properties.ClientSideEvents.KeyPress = @"
                    function cek (s,e){
                        var theEvent = e.htmlEvent || window.event;
                        var key = theEvent.keyCode || theEvent.which;
                        if(key==13)
                        {
                            //getDataByDCL();
                            //DOCK_CD.SetFocus();
                        }
                    }
                        ";
                    //edtSettings.Properties.ValidationSettings.ErrorDisplayMode = ErrorDisplayMode.Text;
                    //edtSettings.Properties.ValidationSettings.ErrorTextPosition = ErrorTextPosition.Bottom;
                    //edtSettings.Properties.ValidationSettings.RegularExpression.ValidationExpression = "^[a-zA-Z0-9]$";

                    //edtSettings.Properties.ValidationSettings.ErrorFrameStyle.Font.Size = FontSize.Smaller;
                }).GetHtml()
            </div>
        </td>
        <td></td>
        <td>
            @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "Dock Code";
                label.Style.Add("padding-right", "10px");
            }).GetHtml()
        </td>
        <td>:</td>
        <td>
            <div style="float:left; width:80px;">
                @Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "DockOption";
                    gridLookup.Width = Unit.Pixel(40);

                    gridLookup.GridProperties.KeyFieldName = "DOCK_CD";
                    gridLookup.GridProperties.Settings.VerticalScrollableHeight = 130;
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "TruckReceiving", Action = "DockLookup" };
                    gridLookup.ReadOnly = true;
                    gridLookup.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                    gridLookup.GridProperties.Width = Unit.Pixel(145);

                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "DOCK_CD";
                        column.FieldName = "DOCK_CD";
                        column.Caption = "Code";
                        column.Width = 40;
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });

                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "DOCK_NM";
                        column.FieldName = "DOCK_NM";
                        column.Caption = "Name";
                        column.Width = 200;
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });

                }).Bind(ViewData["DockLookup"]).GetHtml()
            </div>
        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "Kanban No";
                label.Style.Add("padding-right", "10px");
            }).GetHtml()
        </td>
        <td>:</td>
        <td>
            @Html.DevExpress().TextBox(
                edtSettings =>
                {
                    edtSettings.Name = "KANBAN_NO";
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(143);
                    edtSettings.Text = "";
                    edtSettings.Properties.ValidationSettings.EnableCustomValidation = true;
                    //edtSettings.Properties.MaxLength = 13;
                    edtSettings.Properties.ClientSideEvents.KeyPress = @"
                    function cek (s,e){
                        var theEvent = e.htmlEvent || window.event;
                        var key = theEvent.keyCode || theEvent.which;
                        if(key==13)
                        {
                            //getDataByDCL();
                            //DOCK_CD.SetFocus();
                            getHeader();
                        }
                    }
                        ";
                }).GetHtml()
        </td>
        <td></td>
        <td>
            @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "Part No";
                label.Style.Add("padding-right", "10px");
            }).GetHtml()
        </td>
        <td>:</td>
        <td>
            @Html.DevExpress().TextBox(
                edtSettings =>
                {
                    edtSettings.Name = "PART_NO";
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(143);
                    edtSettings.Text = "";
                    edtSettings.Properties.ValidationSettings.EnableCustomValidation = true;
                    //edtSettings.Properties.MaxLength = 13;
                    edtSettings.Properties.ClientSideEvents.KeyPress = @"
                    function cek (s,e){
                        var theEvent = e.htmlEvent || window.event;
                        var key = theEvent.keyCode || theEvent.which;
                        if(key==13)
                        {
                            //getDataByDCL();
                            //DOCK_CD.SetFocus();
                            getHeader();
                        }
                    }
                        ";
                }).GetHtml()
        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "Supplier Plant";
                label.Style.Add("padding-right", "10px");
            }).GetHtml()
        </td>
        <td>:</td>
        <td>
            @Html.DevExpress().TextBox(
                edtSettings =>
                {
                    edtSettings.Name = "SUPPLIER_PLANT";
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(143);
                    edtSettings.Text = "";
                    edtSettings.Properties.ValidationSettings.EnableCustomValidation = true;
                    //edtSettings.Properties.MaxLength = 13;
                    edtSettings.Properties.ClientSideEvents.KeyPress = @"
                    function cek (s,e){
                        var theEvent = e.htmlEvent || window.event;
                        var key = theEvent.keyCode || theEvent.which;
                        if(key==13)
                        {
                            //getDataByDCL();
                            //DOCK_CD.SetFocus();
                            getHeader();
                        }
                    }
                        ";
                }).GetHtml()
        </td>
        <td></td>
        <td>
            @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "Supplier Code";
                label.Style.Add("padding-right", "10px");
            }).GetHtml()
        </td>
        <td>:</td>
        <td>
            @Html.DevExpress().TextBox(
                edtSettings =>
                {
                    edtSettings.Name = "SUPPLIER_CD";
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(143);
                    edtSettings.Text = "";
                    edtSettings.Properties.ValidationSettings.EnableCustomValidation = true;
                    //edtSettings.Properties.MaxLength = 13;
                    edtSettings.Properties.ClientSideEvents.KeyPress = @"
                    function cek (s,e){
                        var theEvent = e.htmlEvent || window.event;
                        var key = theEvent.keyCode || theEvent.which;
                        if(key==13)
                        {
                            //getDataByDCL();
                            //DOCK_CD.SetFocus();
                            getHeader();
                        }
                    }
                        ";
                }).GetHtml()
        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "Manifest No";
                label.Style.Add("padding-right", "10px");
            }).GetHtml()
        </td>
        <td>:</td>
        <td>
            @Html.DevExpress().TextBox(
                edtSettings =>
                {
                    edtSettings.Name = "MANIFEST_NO";
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(143);
                    edtSettings.Text = "";
                    edtSettings.Properties.ValidationSettings.EnableCustomValidation = true;
                    //edtSettings.Properties.MaxLength = 13;
                    edtSettings.Properties.ClientSideEvents.KeyPress = @"
                    function cek (s,e){
                        var theEvent = e.htmlEvent || window.event;
                        var key = theEvent.keyCode || theEvent.which;
                        if(key==13)
                        {
                            //getDataByDCL();
                            //DOCK_CD.SetFocus();
                            getHeader();
                        }
                    }
                        ";
                }).GetHtml()
        </td>
        <td></td>
        <td>
            @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "Order No";
                label.Style.Add("padding-right", "10px");
            }).GetHtml()
        </td>
        <td>:</td>
        <td>
            @Html.DevExpress().TextBox(
                edtSettings =>
                {
                    edtSettings.Name = "ORDER_NO";
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(143);
                    edtSettings.Text = "";
                    edtSettings.Properties.ValidationSettings.EnableCustomValidation = true;
                    //edtSettings.Properties.MaxLength = 13;
                    edtSettings.Properties.ClientSideEvents.KeyPress = @"
                    function cek (s,e){
                        var theEvent = e.htmlEvent || window.event;
                        var key = theEvent.keyCode || theEvent.which;
                        if(key==13)
                        {
                            //getDataByDCL();
                            //DOCK_CD.SetFocus();
                            getHeader();
                        }
                    }
                        ";
                }).GetHtml()
        </td>
    </tr>
</table>

<div style="float:right;">
    <table border="0">
        <tr>
            <td>
                @Html.DevExpress().Button(
                settings =>
                {
                    settings.Name = "btnSearch";
                    settings.Text = "Search";
                    settings.UseSubmitBehavior = false;
                    settings.Width = 80;
                    settings.ClientSideEvents.Click = "search";
                }
            ).GetHtml()
            </td>
            <td>
                @Html.DevExpress().Button(
                settings =>
                {
                    settings.Name = "btnClear";
                    settings.Text = "Clear";
                    settings.UseSubmitBehavior = false;
                    settings.Width = 80;
                    settings.ClientSideEvents.Click = "clear";
                }
            ).GetHtml()

            </td>
        </tr>
    </table>
</div>